Name:           s3switch
Version:        0.0
Release:        0.fdr.3.20020912.rh90
Epoch:          0
Summary:        Manage the output device on S3 Savage chips

Group:          Applications/System
License:        Distributable
URL:            http://www.probo.com/timr/savage40.html
Source0:        http://www.probo.com/timr/s3ssrc.zip
Source1:        %{name}.pam
Source2:        %{name}.consoleapp
Patch0:         %{name}-thinkpad-t23.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  %{ix86}

Requires:       usermode

%description
The S3 Savage chips have the ability to send their output to a variety
of different devices.  The Savage3D can display to a standard CRT or
to a TV.  The Savage4 and Savage2000 can display to a standard CRT or
through a digital interface to an LCD panel.  The Savage/MX and Sav-
age/IX can ship to any two of those three.
The s3switch utility is used to select the devices to be used, and the
format of the TV signal.  When invoked with no parameters, s3switch
displays the devices currently attached, and which of those devices
are currently active.  Supplying one or more of the words crt, lcd, or
tv makes those devices the active devices.  The word both is a
shortcut for the combination of crt and lcd.

# -----------------------------------------------------------------------------

%prep
%setup -q -c
%patch0 -p0

# -----------------------------------------------------------------------------

%build
make %{?_smp_mflags} CC="%{__cc} $RPM_OPT_FLAGS"

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
install -D -p -m 0755 s3switch $RPM_BUILD_ROOT%{_sbindir}/s3switch
install -d -m 0755 $RPM_BUILD_ROOT%{_bindir}
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/s3switch
install -D -p -m 0644 s3switch.1x $RPM_BUILD_ROOT%{_mandir}/man1/s3switch.1x
install -D -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/s3switch
install -D -p -m 0644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/s3switch

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%config %{_sysconfdir}/pam.d/s3switch
%config %{_sysconfdir}/security/console.apps/s3switch
%{_bindir}/s3switch
%{_sbindir}/s3switch
%{_mandir}/man1/s3switch.1*

# -----------------------------------------------------------------------------

%changelog
* Wed Jul 30 2003 Ville Skyttä <ville.skytta at iki.fi> 0:0.0-0.fdr.3.20020912
- Apply patch to avoid segfault on TV signal format change with ThinkPad T23.

* Tue Jul 29 2003 Ville Skyttä <ville.skytta at iki.fi> 0:0.0-0.fdr.2.20020912
- Use consolehelper instead of installing suid root.

* Sun Jul 27 2003 Ville Skyttä <ville.skytta at iki.fi> 0:0.0-0.fdr.1.20020912
- First build.
